<?php

namespace Onestartup\Landings\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestCreateLanding extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|max:355',
            'slug' => 'unique:landings,slug|required|max:455',
            'subtitle' => 'max:455',
            'description'=> 'max:455',
            'image_path' => 'image',
            'formato' => "required|max:455",
            'active' => 'required|boolean'
        ];
    }
}